> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/user-type.md).

# User Type

## Viewing all user types

> To view all users types:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User type"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/userType":{"get":{"summary":"Viewing all user types","operationId":"get-api-v2-usertype","tags":["User type"],"description":"To view all users types:","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"pageToken":{"type":"string"},"requestedPageSize":{"type":"integer"},"itemCount":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"userTypeId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}}}}
```

## Creating a new user type

> To create a new user type:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User type"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/userType":{"post":{"summary":"Creating a new user type","operationId":"post-api-v2-usertype","tags":["User type"],"description":"To create a new user type:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"}},"required":["name","title"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific user type

> To view details for a specific user type:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User type"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/userType/{userTypeId}":{"get":{"summary":"Viewing a specific user type","operationId":"get-api-v2-usertype-usertypeid","tags":["User type"],"description":"To view details for a specific user type:","parameters":[{"name":"userTypeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userTypeId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```

## Updating a specific user type

> To update a specific user type:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"User type"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/userType/{userTypeId}":{"patch":{"summary":"Updating a specific user type","operationId":"patch-api-v2-usertype-usertypeid","tags":["User type"],"description":"To update a specific user type:","parameters":[{"name":"userTypeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userTypeId":{"type":"integer"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/user-type.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
